## Extract components from a model frame

## Usage

    model.extract(frame, component)
    model.offset(frame)
    model.response(frame)

## Arguments

`frame` | A model frame
`component` | The name of a components to extract, such as `"weights"`, `"subset"`

## Description

Returns the response, offset, subset, weights or other special components of a model frame passed as optional arguments to `model.frame`. `model.offset` and `model.response` are equivalent to `model.frame(,"offset")` and `model.frame(,"response")` respectively.

## Value

The specified component of the model frame, usually a vector.

## See Also

`model.frame`, `offset`

## Examples

    data(esoph)
    a <- model.frame(cbind(ncases,ncontrols) ~ agegp+tobgp+alcgp,data=esoph)
    model.extract(a,"response")
    all(model.extract(a,"response") == model.response(a))

    a <- model.frame(ncases/(ncases+ncontrols) ~ agegp+tobgp+alcgp,
                     data = esoph, weights = ncases+ncontrols)
    model.response(a)
    model.extract(a,"weights")

    a <- model.frame(cbind(ncases,ncontrols) ~ agegp,
                     something = tobgp, data = esoph)
    names(a)
    all(model.extract(a,"something")==esoph$tobgp) # TRUE

[Package Contents]